Bug 1287535 - clvmd/dlm resource agent monitor action should recognize it is hung
clvmd/dlm resource agent monitor action should recognize it is hung
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pacemaker (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ken Gaillot
cluster-qe@redhat.com
Steven J. Levine
:
Depends On: 1268313 1339661
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 05:01 EST by Oyvind Albrigtsen
Modified: 2016-05-25 10:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: pacemaker-1.1.14-1.1.el6
Doc Type: Release Note
Doc Text:
The `controld` resource agent properly returns an error if DLM is waiting for fencing Previously, the monitor action of the `ocf:pacemaker:controld` resource agent, used to manage the DLM control daemon in a Pacemaker cluster, did not report an error if DLM was waiting for fencing. Therefore, a Pacemaker cluster using such a resource could end up with DLM (and any resources relying on it, such as CLVM) hanging indefinitely if all nodes lost and regained quorum. Now, the agent properly returns an error in that case, and Pacemaker properly recovers the resources.
Story Points: ---
Clone Of: 1268313
Environment:
Last Closed: 2016-03-30 12:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated patch for RHEL6 (642 bytes, patch)
2015-12-03 07:55 EST, Oyvind Albrigtsen
no flags Details | Diff

  None (edit)
Comment 2 Oyvind Albrigtsen 2015-12-03 07:55 EST
Created attachment 1101798 [details]
Updated patch for RHEL6
Comment 3 Oyvind Albrigtsen 2015-12-03 07:55:58 EST
Attached updated and tested patch for RHEL6.
Comment 4 Oyvind Albrigtsen 2015-12-18 10:11:59 EST
The fix is for pacemaker, and the updated patch for RHEL6 is attached to the bz.
Comment 8 Ken Gaillot 2016-03-30 12:31:13 EDT
The ocf:pacemaker:controld resource agent is not supported or functional in RHEL 6 (and is therefore planned to be removed -- see Bug 1312040).

Note You need to log in before you can comment on or make changes to this bug.